import os
import app.servicecontrol

class ServiceController(app.servicecontrol.SimpleDaemonController):
    def getCommand(self):
        cmd = os.path.join(os.path.dirname(os.path.abspath(__file__)),
                           '..', 'bin', 'git-index-repositories')
        return "%s >> %s 2>&1" % (cmd, self.getServiceLogPath())

    def isDemandStart(self):
        # When the service starts, it does its indexing and then it terminates. To do another
        # round of indexing, it needs to be started again.
        return True
